﻿using System;

namespace TestApplication
{
    public class Program
    {
        public static void Main(string[] args)
        {
            using (DataModel context = new DataModel())
            {
                CustomClass customClass = new CustomClass
                {
                    OrderDate = new TimeSpan(1, 2, 3, 4),
                    OrderKind = OrderKind.Value2
                };

                context.Add(customClass);
                context.SaveChanges();

                foreach (CustomClass item in context.CustomClasses)
                {
                    Console.WriteLine("{0}. {1} - {2}", item.Id, item.OrderKind, item.OrderDate);
                }
            }
        }
    }
}
